## org.eclipse.emf.ecore.xml.type
Interface XMLTypeFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  XMLTypeFactoryImpl

    public interface XMLTypeFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `XMLTypePackage`

Field Summary
`static XMLTypeFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`java.lang.String` `convertAnySimpleType(java.lang.Object instanceValue)` Returns a literal representation of an instance of data type 'Any Simple Type'
`java.lang.String` `convertAnyURI(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'Any URI'
`java.lang.String` `convertBase64Binary(byte[] instanceValue)` Returns a literal representation of an instance of data type 'Base64 Binary'
`java.lang.String` `convertBoolean(boolean instanceValue)` Returns a literal representation of an instance of data type 'Boolean'
`java.lang.String` `convertBooleanObject(java.lang.Boolean instanceValue)` Returns a literal representation of an instance of data type 'Boolean Object'
`java.lang.String` `convertByte(byte instanceValue)` Returns a literal representation of an instance of data type 'Byte'
`java.lang.String` `convertByteObject(java.lang.Byte instanceValue)` Returns a literal representation of an instance of data type 'Byte Object'
`java.lang.String` `convertDate(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertDate(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'Date'
`java.lang.String` `convertDateTime(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertDateTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'Date Time'
`java.lang.String` `convertDecimal(java.math.BigDecimal instanceValue)` Returns a literal representation of an instance of data type 'Decimal'
`java.lang.String` `convertDouble(double instanceValue)` Returns a literal representation of an instance of data type 'Double'
`java.lang.String` `convertDoubleObject(java.lang.Double instanceValue)` Returns a literal representation of an instance of data type 'Double Object'
`java.lang.String` `convertDuration(javax.xml.datatype.Duration instanceValue)` Returns a literal representation of an instance of data type 'Duration'
`java.lang.String` `convertDuration(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertENTITIES(java.util.List<? extends java.lang.String> instanceValue)` Returns a literal representation of an instance of data type 'ENTITIES'
`java.lang.String` `convertENTITIESBase(java.util.List<? extends java.lang.String> instanceValue)` Returns a literal representation of an instance of data type 'ENTITIES Base'
`java.lang.String` `convertENTITY(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'ENTITY'
`java.lang.String` `convertFloat(float instanceValue)` Returns a literal representation of an instance of data type 'Float'
`java.lang.String` `convertFloatObject(java.lang.Float instanceValue)` Returns a literal representation of an instance of data type 'Float Object'
`java.lang.String` `convertGDay(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'GDay'
`java.lang.String` `convertGMonth(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'GMonth'
`java.lang.String` `convertGMonthDay(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGMonthDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'GMonth Day'
`java.lang.String` `convertGYear(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGYear(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'GYear'
`java.lang.String` `convertGYearMonth(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGYearMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'GYear Month'
`java.lang.String` `convertHexBinary(byte[] instanceValue)` Returns a literal representation of an instance of data type 'Hex Binary'
`java.lang.String` `convertID(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'ID'
`java.lang.String` `convertIDREF(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'IDREF'
`java.lang.String` `convertIDREFS(java.util.List<? extends java.lang.String> instanceValue)` Returns a literal representation of an instance of data type 'IDREFS'
`java.lang.String` `convertIDREFSBase(java.util.List<? extends java.lang.String> instanceValue)` Returns a literal representation of an instance of data type 'IDREFS Base'
`java.lang.String` `convertInt(int instanceValue)` Returns a literal representation of an instance of data type 'Int'
`java.lang.String` `convertInteger(java.math.BigInteger instanceValue)` Returns a literal representation of an instance of data type 'Integer'
`java.lang.String` `convertIntObject(java.lang.Integer instanceValue)` Returns a literal representation of an instance of data type 'Int Object'
`java.lang.String` `convertLanguage(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'Language'
`java.lang.String` `convertLong(long instanceValue)` Returns a literal representation of an instance of data type 'Long'
`java.lang.String` `convertLongObject(java.lang.Long instanceValue)` Returns a literal representation of an instance of data type 'Long Object'
`java.lang.String` `convertName(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'Name'
`java.lang.String` `convertNCName(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'NC Name'
`java.lang.String` `convertNegativeInteger(java.math.BigInteger instanceValue)` Returns a literal representation of an instance of data type 'Negative Integer'
`java.lang.String` `convertNMTOKEN(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'NMTOKEN'
`java.lang.String` `convertNMTOKENS(java.util.List<? extends java.lang.String> instanceValue)` Returns a literal representation of an instance of data type 'NMTOKENS'
`java.lang.String` `convertNMTOKENSBase(java.util.List<? extends java.lang.String> instanceValue)` Returns a literal representation of an instance of data type 'NMTOKENS Base'
`java.lang.String` `convertNonNegativeInteger(java.math.BigInteger instanceValue)` Returns a literal representation of an instance of data type 'Non Negative Integer'
`java.lang.String` `convertNonPositiveInteger(java.math.BigInteger instanceValue)` Returns a literal representation of an instance of data type 'Non Positive Integer'
`java.lang.String` `convertNormalizedString(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'Normalized String'
`java.lang.String` `convertNOTATION(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertNOTATION(javax.xml.namespace.QName instanceValue)` Returns a literal representation of an instance of data type 'NOTATION'
`java.lang.String` `convertPositiveInteger(java.math.BigInteger instanceValue)` Returns a literal representation of an instance of data type 'Positive Integer'
`java.lang.String` `convertQName(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertQName(javax.xml.namespace.QName instanceValue)` Returns a literal representation of an instance of data type 'QName'
`java.lang.String` `convertShort(short instanceValue)` Returns a literal representation of an instance of data type 'Short'
`java.lang.String` `convertShortObject(java.lang.Short instanceValue)` Returns a literal representation of an instance of data type 'Short Object'
`java.lang.String` `convertString(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'String'
`java.lang.String` `convertTime(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)` Returns a literal representation of an instance of data type 'Time'
`java.lang.String` `convertToken(java.lang.String instanceValue)` Returns a literal representation of an instance of data type 'Token'
`java.lang.String` `convertUnsignedByte(short instanceValue)` Returns a literal representation of an instance of data type 'Unsigned Byte'
`java.lang.String` `convertUnsignedByteObject(java.lang.Short instanceValue)` Returns a literal representation of an instance of data type 'Unsigned Byte Object'
`java.lang.String` `convertUnsignedInt(long instanceValue)` Returns a literal representation of an instance of data type 'Unsigned Int'
`java.lang.String` `convertUnsignedIntObject(java.lang.Long instanceValue)` Returns a literal representation of an instance of data type 'Unsigned Int Object'
`java.lang.String` `convertUnsignedLong(java.math.BigInteger instanceValue)` Returns a literal representation of an instance of data type 'Unsigned Long'
`java.lang.String` `convertUnsignedShort(int instanceValue)` Returns a literal representation of an instance of data type 'Unsigned Short'
`java.lang.String` `convertUnsignedShortObject(java.lang.Integer instanceValue)` Returns a literal representation of an instance of data type 'Unsigned Short Object'
`java.lang.Object` `createAnySimpleType(java.lang.String literal)` Returns an instance of data type 'Any Simple Type' corresponding the given literal
`AnyType` `createAnyType()` Returns a new object of class 'Any Type'
`java.lang.String` `createAnyURI(java.lang.String literal)` Returns an instance of data type 'Any URI' corresponding the given literal
`byte[]` `createBase64Binary(java.lang.String literal)` Returns an instance of data type 'Base64 Binary' corresponding the given literal
`boolean` `createBoolean(java.lang.String literal)` Returns an instance of data type 'Boolean' corresponding the given literal
`java.lang.Boolean` `createBooleanObject(java.lang.String literal)` Returns an instance of data type 'Boolean Object' corresponding the given literal
`byte` `createByte(java.lang.String literal)` Returns an instance of data type 'Byte' corresponding the given literal
`java.lang.Byte` `createByteObject(java.lang.String literal)` Returns an instance of data type 'Byte Object' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createDate(java.lang.String literal)` Returns an instance of data type 'Date' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createDateTime(java.lang.String literal)` Returns an instance of data type 'Date Time' corresponding the given literal
`java.math.BigDecimal` `createDecimal(java.lang.String literal)` Returns an instance of data type 'Decimal' corresponding the given literal
`double` `createDouble(java.lang.String literal)` Returns an instance of data type 'Double' corresponding the given literal
`java.lang.Double` `createDoubleObject(java.lang.String literal)` Returns an instance of data type 'Double Object' corresponding the given literal
`javax.xml.datatype.Duration` `createDuration(java.lang.String literal)` Returns an instance of data type 'Duration' corresponding the given literal
`java.util.List<java.lang.String>` `createENTITIES(java.lang.String literal)` Returns an instance of data type 'ENTITIES' corresponding the given literal
`java.util.List<java.lang.String>` `createENTITIESBase(java.lang.String literal)` Returns an instance of data type 'ENTITIES Base' corresponding the given literal
`java.lang.String` `createENTITY(java.lang.String literal)` Returns an instance of data type 'ENTITY' corresponding the given literal
`float` `createFloat(java.lang.String literal)` Returns an instance of data type 'Float' corresponding the given literal
`java.lang.Float` `createFloatObject(java.lang.String literal)` Returns an instance of data type 'Float Object' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createGDay(java.lang.String literal)` Returns an instance of data type 'GDay' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createGMonth(java.lang.String literal)` Returns an instance of data type 'GMonth' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createGMonthDay(java.lang.String literal)` Returns an instance of data type 'GMonth Day' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createGYear(java.lang.String literal)` Returns an instance of data type 'GYear' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createGYearMonth(java.lang.String literal)` Returns an instance of data type 'GYear Month' corresponding the given literal
`byte[]` `createHexBinary(java.lang.String literal)` Returns an instance of data type 'Hex Binary' corresponding the given literal
`java.lang.String` `createID(java.lang.String literal)` Returns an instance of data type 'ID' corresponding the given literal
`java.lang.String` `createIDREF(java.lang.String literal)` Returns an instance of data type 'IDREF' corresponding the given literal
`java.util.List<java.lang.String>` `createIDREFS(java.lang.String literal)` Returns an instance of data type 'IDREFS' corresponding the given literal
`java.util.List<java.lang.String>` `createIDREFSBase(java.lang.String literal)` Returns an instance of data type 'IDREFS Base' corresponding the given literal
`int` `createInt(java.lang.String literal)` Returns an instance of data type 'Int' corresponding the given literal
`java.math.BigInteger` `createInteger(java.lang.String literal)` Returns an instance of data type 'Integer' corresponding the given literal
`java.lang.Integer` `createIntObject(java.lang.String literal)` Returns an instance of data type 'Int Object' corresponding the given literal
`java.lang.String` `createLanguage(java.lang.String literal)` Returns an instance of data type 'Language' corresponding the given literal
`long` `createLong(java.lang.String literal)` Returns an instance of data type 'Long' corresponding the given literal
`java.lang.Long` `createLongObject(java.lang.String literal)` Returns an instance of data type 'Long Object' corresponding the given literal
`java.lang.String` `createName(java.lang.String literal)` Returns an instance of data type 'Name' corresponding the given literal
`java.lang.String` `createNCName(java.lang.String literal)` Returns an instance of data type 'NC Name' corresponding the given literal
`java.math.BigInteger` `createNegativeInteger(java.lang.String literal)` Returns an instance of data type 'Negative Integer' corresponding the given literal
`java.lang.String` `createNMTOKEN(java.lang.String literal)` Returns an instance of data type 'NMTOKEN' corresponding the given literal
`java.util.List<java.lang.String>` `createNMTOKENS(java.lang.String literal)` Returns an instance of data type 'NMTOKENS' corresponding the given literal
`java.util.List<java.lang.String>` `createNMTOKENSBase(java.lang.String literal)` Returns an instance of data type 'NMTOKENS Base' corresponding the given literal
`java.math.BigInteger` `createNonNegativeInteger(java.lang.String literal)` Returns an instance of data type 'Non Negative Integer' corresponding the given literal
`java.math.BigInteger` `createNonPositiveInteger(java.lang.String literal)` Returns an instance of data type 'Non Positive Integer' corresponding the given literal
`java.lang.String` `createNormalizedString(java.lang.String literal)` Returns an instance of data type 'Normalized String' corresponding the given literal
`javax.xml.namespace.QName` `createNOTATION(java.lang.String literal)` Returns an instance of data type 'NOTATION' corresponding the given literal
`java.math.BigInteger` `createPositiveInteger(java.lang.String literal)` Returns an instance of data type 'Positive Integer' corresponding the given literal
`ProcessingInstruction` `createProcessingInstruction()` Returns a new object of class 'Processing Instruction'
`javax.xml.namespace.QName` `createQName(java.lang.String literal)` Returns an instance of data type 'QName' corresponding the given literal
`javax.xml.namespace.QName` `createQName(java.lang.String namespaceURI, java.lang.String localPart)` Returns an instance of data type 'QName' corresponding to the given namespace URI and local part.
`javax.xml.namespace.QName` `createQName(java.lang.String namespaceURI, java.lang.String localPart, java.lang.String prefix)` Returns an instance of data type 'QName' corresponding to the given namespace URI, local part, and prefix.
`short` `createShort(java.lang.String literal)` Returns an instance of data type 'Short' corresponding the given literal
`java.lang.Short` `createShortObject(java.lang.String literal)` Returns an instance of data type 'Short Object' corresponding the given literal
`SimpleAnyType` `createSimpleAnyType()` Returns a new object of class 'Simple Any Type'
`java.lang.String` `createString(java.lang.String literal)` Returns an instance of data type 'String' corresponding the given literal
`javax.xml.datatype.XMLGregorianCalendar` `createTime(java.lang.String literal)` Returns an instance of data type 'Time' corresponding the given literal
`java.lang.String` `createToken(java.lang.String literal)` Returns an instance of data type 'Token' corresponding the given literal
`short` `createUnsignedByte(java.lang.String literal)` Returns an instance of data type 'Unsigned Byte' corresponding the given literal
`java.lang.Short` `createUnsignedByteObject(java.lang.String literal)` Returns an instance of data type 'Unsigned Byte Object' corresponding the given literal
`long` `createUnsignedInt(java.lang.String literal)` Returns an instance of data type 'Unsigned Int' corresponding the given literal
`java.lang.Long` `createUnsignedIntObject(java.lang.String literal)` Returns an instance of data type 'Unsigned Int Object' corresponding the given literal
`java.math.BigInteger` `createUnsignedLong(java.lang.String literal)` Returns an instance of data type 'Unsigned Long' corresponding the given literal
`int` `createUnsignedShort(java.lang.String literal)` Returns an instance of data type 'Unsigned Short' corresponding the given literal
`java.lang.Integer` `createUnsignedShortObject(java.lang.String literal)` Returns an instance of data type 'Unsigned Short Object' corresponding the given literal
`XMLTypeDocumentRoot` `createXMLTypeDocumentRoot()` Returns a new object of class 'Document Root'
`XMLTypePackage` `getXMLTypePackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final XMLTypeFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAnyType

    AnyType createAnyType()

  Returns a new object of class 'Any Type'.

  Returns:
    a new object of class 'Any Type'.

### createProcessingInstruction

    ProcessingInstruction createProcessingInstruction()

  Returns a new object of class 'Processing Instruction'.

  Returns:
    a new object of class 'Processing Instruction'.

### createSimpleAnyType

    SimpleAnyType createSimpleAnyType()

  Returns a new object of class 'Simple Any Type'.

  Returns:
    a new object of class 'Simple Any Type'.

### createXMLTypeDocumentRoot

    XMLTypeDocumentRoot createXMLTypeDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createAnySimpleType

    java.lang.Object createAnySimpleType(java.lang.String literal)

  Returns an instance of data type 'Any Simple Type' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertAnySimpleType

    java.lang.String convertAnySimpleType(java.lang.Object instanceValue)

  Returns a literal representation of an instance of data type 'Any Simple Type'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createAnyURI

    java.lang.String createAnyURI(java.lang.String literal)

  Returns an instance of data type 'Any URI' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertAnyURI

    java.lang.String convertAnyURI(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'Any URI'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createBase64Binary

    byte[] createBase64Binary(java.lang.String literal)

  Returns an instance of data type 'Base64 Binary' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertBase64Binary

    java.lang.String convertBase64Binary(byte[] instanceValue)

  Returns a literal representation of an instance of data type 'Base64 Binary'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createBoolean

    boolean createBoolean(java.lang.String literal)

  Returns an instance of data type 'Boolean' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertBoolean

    java.lang.String convertBoolean(boolean instanceValue)

  Returns a literal representation of an instance of data type 'Boolean'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createBooleanObject

    java.lang.Boolean createBooleanObject(java.lang.String literal)

  Returns an instance of data type 'Boolean Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertBooleanObject

    java.lang.String convertBooleanObject(java.lang.Boolean instanceValue)

  Returns a literal representation of an instance of data type 'Boolean Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createByte

    byte createByte(java.lang.String literal)

  Returns an instance of data type 'Byte' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertByte

    java.lang.String convertByte(byte instanceValue)

  Returns a literal representation of an instance of data type 'Byte'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createByteObject

    java.lang.Byte createByteObject(java.lang.String literal)

  Returns an instance of data type 'Byte Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertByteObject

    java.lang.String convertByteObject(java.lang.Byte instanceValue)

  Returns a literal representation of an instance of data type 'Byte Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDate

    javax.xml.datatype.XMLGregorianCalendar createDate(java.lang.String literal)

  Returns an instance of data type 'Date' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDate

    java.lang.String convertDate(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'Date'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertDate

    @Deprecated
    java.lang.String convertDate(java.lang.Object instanceValue)

  Deprecated.

### createDateTime

    javax.xml.datatype.XMLGregorianCalendar createDateTime(java.lang.String literal)

  Returns an instance of data type 'Date Time' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDateTime

    java.lang.String convertDateTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'Date Time'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertDateTime

    @Deprecated
    java.lang.String convertDateTime(java.lang.Object instanceValue)

  Deprecated.

### createDecimal

    java.math.BigDecimal createDecimal(java.lang.String literal)

  Returns an instance of data type 'Decimal' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDecimal

    java.lang.String convertDecimal(java.math.BigDecimal instanceValue)

  Returns a literal representation of an instance of data type 'Decimal'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDouble

    double createDouble(java.lang.String literal)

  Returns an instance of data type 'Double' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDouble

    java.lang.String convertDouble(double instanceValue)

  Returns a literal representation of an instance of data type 'Double'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDoubleObject

    java.lang.Double createDoubleObject(java.lang.String literal)

  Returns an instance of data type 'Double Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDoubleObject

    java.lang.String convertDoubleObject(java.lang.Double instanceValue)

  Returns a literal representation of an instance of data type 'Double Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDuration

    javax.xml.datatype.Duration createDuration(java.lang.String literal)

  Returns an instance of data type 'Duration' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDuration

    java.lang.String convertDuration(javax.xml.datatype.Duration instanceValue)

  Returns a literal representation of an instance of data type 'Duration'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertDuration

    @Deprecated
    java.lang.String convertDuration(java.lang.Object instanceValue)

  Deprecated.

### createENTITIES

    java.util.List<java.lang.String> createENTITIES(java.lang.String literal)

  Returns an instance of data type 'ENTITIES' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertENTITIES

    java.lang.String convertENTITIES(java.util.List<? extends java.lang.String> instanceValue)

  Returns a literal representation of an instance of data type 'ENTITIES'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createENTITIESBase

    java.util.List<java.lang.String> createENTITIESBase(java.lang.String literal)

  Returns an instance of data type 'ENTITIES Base' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertENTITIESBase

    java.lang.String convertENTITIESBase(java.util.List<? extends java.lang.String> instanceValue)

  Returns a literal representation of an instance of data type 'ENTITIES Base'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createENTITY

    java.lang.String createENTITY(java.lang.String literal)

  Returns an instance of data type 'ENTITY' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertENTITY

    java.lang.String convertENTITY(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'ENTITY'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createFloat

    float createFloat(java.lang.String literal)

  Returns an instance of data type 'Float' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertFloat

    java.lang.String convertFloat(float instanceValue)

  Returns a literal representation of an instance of data type 'Float'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createFloatObject

    java.lang.Float createFloatObject(java.lang.String literal)

  Returns an instance of data type 'Float Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertFloatObject

    java.lang.String convertFloatObject(java.lang.Float instanceValue)

  Returns a literal representation of an instance of data type 'Float Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createGDay

    javax.xml.datatype.XMLGregorianCalendar createGDay(java.lang.String literal)

  Returns an instance of data type 'GDay' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGDay

    java.lang.String convertGDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'GDay'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGDay

    @Deprecated
    java.lang.String convertGDay(java.lang.Object instanceValue)

  Deprecated.

### createGMonth

    javax.xml.datatype.XMLGregorianCalendar createGMonth(java.lang.String literal)

  Returns an instance of data type 'GMonth' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGMonth

    java.lang.String convertGMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'GMonth'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGMonth

    @Deprecated
    java.lang.String convertGMonth(java.lang.Object instanceValue)

  Deprecated.

### createGMonthDay

    javax.xml.datatype.XMLGregorianCalendar createGMonthDay(java.lang.String literal)

  Returns an instance of data type 'GMonth Day' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGMonthDay

    java.lang.String convertGMonthDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'GMonth Day'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGMonthDay

    @Deprecated
    java.lang.String convertGMonthDay(java.lang.Object instanceValue)

  Deprecated.

### createGYear

    javax.xml.datatype.XMLGregorianCalendar createGYear(java.lang.String literal)

  Returns an instance of data type 'GYear' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGYear

    java.lang.String convertGYear(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'GYear'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGYear

    @Deprecated
    java.lang.String convertGYear(java.lang.Object instanceValue)

  Deprecated.

### createGYearMonth

    javax.xml.datatype.XMLGregorianCalendar createGYearMonth(java.lang.String literal)

  Returns an instance of data type 'GYear Month' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGYearMonth

    java.lang.String convertGYearMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'GYear Month'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGYearMonth

    @Deprecated
    java.lang.String convertGYearMonth(java.lang.Object instanceValue)

  Deprecated.

### createHexBinary

    byte[] createHexBinary(java.lang.String literal)

  Returns an instance of data type 'Hex Binary' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertHexBinary

    java.lang.String convertHexBinary(byte[] instanceValue)

  Returns a literal representation of an instance of data type 'Hex Binary'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createID

    java.lang.String createID(java.lang.String literal)

  Returns an instance of data type 'ID' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertID

    java.lang.String convertID(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'ID'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createIDREF

    java.lang.String createIDREF(java.lang.String literal)

  Returns an instance of data type 'IDREF' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertIDREF

    java.lang.String convertIDREF(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'IDREF'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createIDREFS

    java.util.List<java.lang.String> createIDREFS(java.lang.String literal)

  Returns an instance of data type 'IDREFS' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertIDREFS

    java.lang.String convertIDREFS(java.util.List<? extends java.lang.String> instanceValue)

  Returns a literal representation of an instance of data type 'IDREFS'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createIDREFSBase

    java.util.List<java.lang.String> createIDREFSBase(java.lang.String literal)

  Returns an instance of data type 'IDREFS Base' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertIDREFSBase

    java.lang.String convertIDREFSBase(java.util.List<? extends java.lang.String> instanceValue)

  Returns a literal representation of an instance of data type 'IDREFS Base'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createInt

    int createInt(java.lang.String literal)

  Returns an instance of data type 'Int' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertInt

    java.lang.String convertInt(int instanceValue)

  Returns a literal representation of an instance of data type 'Int'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createInteger

    java.math.BigInteger createInteger(java.lang.String literal)

  Returns an instance of data type 'Integer' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertInteger

    java.lang.String convertInteger(java.math.BigInteger instanceValue)

  Returns a literal representation of an instance of data type 'Integer'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createIntObject

    java.lang.Integer createIntObject(java.lang.String literal)

  Returns an instance of data type 'Int Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertIntObject

    java.lang.String convertIntObject(java.lang.Integer instanceValue)

  Returns a literal representation of an instance of data type 'Int Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createLanguage

    java.lang.String createLanguage(java.lang.String literal)

  Returns an instance of data type 'Language' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertLanguage

    java.lang.String convertLanguage(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'Language'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createLong

    long createLong(java.lang.String literal)

  Returns an instance of data type 'Long' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertLong

    java.lang.String convertLong(long instanceValue)

  Returns a literal representation of an instance of data type 'Long'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createLongObject

    java.lang.Long createLongObject(java.lang.String literal)

  Returns an instance of data type 'Long Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertLongObject

    java.lang.String convertLongObject(java.lang.Long instanceValue)

  Returns a literal representation of an instance of data type 'Long Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createName

    java.lang.String createName(java.lang.String literal)

  Returns an instance of data type 'Name' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertName

    java.lang.String convertName(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'Name'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNCName

    java.lang.String createNCName(java.lang.String literal)

  Returns an instance of data type 'NC Name' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNCName

    java.lang.String convertNCName(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'NC Name'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNegativeInteger

    java.math.BigInteger createNegativeInteger(java.lang.String literal)

  Returns an instance of data type 'Negative Integer' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNegativeInteger

    java.lang.String convertNegativeInteger(java.math.BigInteger instanceValue)

  Returns a literal representation of an instance of data type 'Negative Integer'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNMTOKEN

    java.lang.String createNMTOKEN(java.lang.String literal)

  Returns an instance of data type 'NMTOKEN' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNMTOKEN

    java.lang.String convertNMTOKEN(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'NMTOKEN'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNMTOKENS

    java.util.List<java.lang.String> createNMTOKENS(java.lang.String literal)

  Returns an instance of data type 'NMTOKENS' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNMTOKENS

    java.lang.String convertNMTOKENS(java.util.List<? extends java.lang.String> instanceValue)

  Returns a literal representation of an instance of data type 'NMTOKENS'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNMTOKENSBase

    java.util.List<java.lang.String> createNMTOKENSBase(java.lang.String literal)

  Returns an instance of data type 'NMTOKENS Base' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNMTOKENSBase

    java.lang.String convertNMTOKENSBase(java.util.List<? extends java.lang.String> instanceValue)

  Returns a literal representation of an instance of data type 'NMTOKENS Base'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNonNegativeInteger

    java.math.BigInteger createNonNegativeInteger(java.lang.String literal)

  Returns an instance of data type 'Non Negative Integer' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNonNegativeInteger

    java.lang.String convertNonNegativeInteger(java.math.BigInteger instanceValue)

  Returns a literal representation of an instance of data type 'Non Negative Integer'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNonPositiveInteger

    java.math.BigInteger createNonPositiveInteger(java.lang.String literal)

  Returns an instance of data type 'Non Positive Integer' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNonPositiveInteger

    java.lang.String convertNonPositiveInteger(java.math.BigInteger instanceValue)

  Returns a literal representation of an instance of data type 'Non Positive Integer'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNormalizedString

    java.lang.String createNormalizedString(java.lang.String literal)

  Returns an instance of data type 'Normalized String' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNormalizedString

    java.lang.String convertNormalizedString(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'Normalized String'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNOTATION

    javax.xml.namespace.QName createNOTATION(java.lang.String literal)

  Returns an instance of data type 'NOTATION' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNOTATION

    java.lang.String convertNOTATION(javax.xml.namespace.QName instanceValue)

  Returns a literal representation of an instance of data type 'NOTATION'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertNOTATION

    @Deprecated
    java.lang.String convertNOTATION(java.lang.Object instanceValue)

  Deprecated.

### createPositiveInteger

    java.math.BigInteger createPositiveInteger(java.lang.String literal)

  Returns an instance of data type 'Positive Integer' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertPositiveInteger

    java.lang.String convertPositiveInteger(java.math.BigInteger instanceValue)

  Returns a literal representation of an instance of data type 'Positive Integer'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createQName

    javax.xml.namespace.QName createQName(java.lang.String literal)

  Returns an instance of data type 'QName' corresponding the given literal. The literal must be of the form "prefix:localPart" where the "prefix:" is optional. It's expected that this method will be used only to deserialize literals produced by `convertQName(QName)` and that subsequent processing to resolve the prefix will create a new QName that specifies the namespace URI, local part, and prefix.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createQName

    javax.xml.namespace.QName createQName(java.lang.String namespaceURI,
                                          java.lang.String localPart)

  Returns an instance of data type 'QName' corresponding to the given namespace URI and local part.

  Parameters:
    `namespaceURI` - the namespace URI of the QName.
    `localPart` - the local part of the QName.
  Returns:
    a new instance value of the data type.

### createQName

    javax.xml.namespace.QName createQName(java.lang.String namespaceURI,
                                          java.lang.String localPart,
                                          java.lang.String prefix)

  Returns an instance of data type 'QName' corresponding to the given namespace URI, local part, and prefix.

  Parameters:
    `namespaceURI` - the namespace URI of the QName.
    `localPart` - the local part of the QName.
    `prefix` - the prefix of the QName.
  Returns:
    a new instance value of the data type.

### convertQName

    java.lang.String convertQName(javax.xml.namespace.QName instanceValue)

  Returns a literal representation of an instance of data type 'QName'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertQName

    @Deprecated
    java.lang.String convertQName(java.lang.Object instanceValue)

  Deprecated.

### createShort

    short createShort(java.lang.String literal)

  Returns an instance of data type 'Short' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertShort

    java.lang.String convertShort(short instanceValue)

  Returns a literal representation of an instance of data type 'Short'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createShortObject

    java.lang.Short createShortObject(java.lang.String literal)

  Returns an instance of data type 'Short Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertShortObject

    java.lang.String convertShortObject(java.lang.Short instanceValue)

  Returns a literal representation of an instance of data type 'Short Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createString

    java.lang.String createString(java.lang.String literal)

  Returns an instance of data type 'String' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertString

    java.lang.String convertString(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'String'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createTime

    javax.xml.datatype.XMLGregorianCalendar createTime(java.lang.String literal)

  Returns an instance of data type 'Time' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertTime

    java.lang.String convertTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Returns a literal representation of an instance of data type 'Time'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertTime

    @Deprecated
    java.lang.String convertTime(java.lang.Object instanceValue)

  Deprecated.

### createToken

    java.lang.String createToken(java.lang.String literal)

  Returns an instance of data type 'Token' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertToken

    java.lang.String convertToken(java.lang.String instanceValue)

  Returns a literal representation of an instance of data type 'Token'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedByte

    short createUnsignedByte(java.lang.String literal)

  Returns an instance of data type 'Unsigned Byte' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedByte

    java.lang.String convertUnsignedByte(short instanceValue)

  Returns a literal representation of an instance of data type 'Unsigned Byte'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedByteObject

    java.lang.Short createUnsignedByteObject(java.lang.String literal)

  Returns an instance of data type 'Unsigned Byte Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedByteObject

    java.lang.String convertUnsignedByteObject(java.lang.Short instanceValue)

  Returns a literal representation of an instance of data type 'Unsigned Byte Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedInt

    long createUnsignedInt(java.lang.String literal)

  Returns an instance of data type 'Unsigned Int' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedInt

    java.lang.String convertUnsignedInt(long instanceValue)

  Returns a literal representation of an instance of data type 'Unsigned Int'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedIntObject

    java.lang.Long createUnsignedIntObject(java.lang.String literal)

  Returns an instance of data type 'Unsigned Int Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedIntObject

    java.lang.String convertUnsignedIntObject(java.lang.Long instanceValue)

  Returns a literal representation of an instance of data type 'Unsigned Int Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedLong

    java.math.BigInteger createUnsignedLong(java.lang.String literal)

  Returns an instance of data type 'Unsigned Long' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedLong

    java.lang.String convertUnsignedLong(java.math.BigInteger instanceValue)

  Returns a literal representation of an instance of data type 'Unsigned Long'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedShort

    int createUnsignedShort(java.lang.String literal)

  Returns an instance of data type 'Unsigned Short' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedShort

    java.lang.String convertUnsignedShort(int instanceValue)

  Returns a literal representation of an instance of data type 'Unsigned Short'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedShortObject

    java.lang.Integer createUnsignedShortObject(java.lang.String literal)

  Returns an instance of data type 'Unsigned Short Object' corresponding the given literal.

  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedShortObject

    java.lang.String convertUnsignedShortObject(java.lang.Integer instanceValue)

  Returns a literal representation of an instance of data type 'Unsigned Short Object'.

  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### getXMLTypePackage

    XMLTypePackage getXMLTypePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.